#
# spec file for package powersave (Version 0.15.17)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils file filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libexpat1 libgcc42 libgomp42 libjpeg liblazy libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libpng libreadline5 libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers lynx m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl-certs pam pam-modules patch perl perl-base permissions pkg-config popt pwdutils rpm sed sysvinit tar texinfo timezone util-linux xli xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXext xorg-x11-libxcb zlib

Name:           powersave
BuildRequires:  dbus-1-glib-devel gcc-c++ liblazy lynx pkgconfig
Url:            http://powersave.sourceforge.net/
Summary:        General Powermanagement daemon supporting APM and ACPI and CPU frequency scaling
Version:        0.15.17
Release:        10.1
License:        GPL v2 only; GPL v2 or later
Group:          System/Daemons
AutoReqProv:    on
PreReq:         %insserv_prereq %fillup_prereq pwdutils
Requires:       psmisc sysvinit
Summary:        General Powermanagement daemon supporting APM and ACPI and CPU frequency scaling
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-fix-suspend-to-disk.patch
%debug_package

%package devel
Summary:        Files needed for development with the powersave daemon or general powermanagement
Requires:       %{name} = %{version}-%{release} dbus-1-devel glibc-devel
AutoReqProv:    on
Group:          System/Daemons

%package libs
Summary:        Shared libraries of the powersave daemon
AutoReqProv:    on
Group:          System/Daemons

%description
Powersave gives you control over the ACPI power buttons, three user
defined battery states (warning, low, critical) and supports proper
standby/suspend handling.

Additionally it could control the frequency of your processor if it
supports SpeedStep(Intel) or PowerNow(AMD) technology. This will
greatly reduce power consumption and heat production in your system.

Together with the kpowersave and yast2-power-management package it
should be the preferred power managing application.



Authors:
--------
    Thomas Renninger (mail@renninger.de, trenn@suse.de)
    Holger Macht <holger@homac.de>
    Stefan Seyfried <seife@suse.de>

%description devel
Files needed for development with the powersave daemon or general
powermanagement.



Authors:
--------
    Thomas Renninger <mail@renninger.de, trenn@suse.de>
    Holger Macht <holger@homac.de>
    Stefan Seyfried <seife@suse.de>

%description libs
Shared libraries of the powersave daemon. A running powersave daemon is
needed for full functionality of these libraries.



Authors:
--------
    Thomas Renninger <mail@renninger.de, trenn@suse.de>
    Holger Macht <holger@homac.de>
    Stefan Seyfried <seife@suse.de>

%prep
%setup -q -n %{name}-%{version}
%patch

%build
autoreconf -fi
./configure CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -fno-exceptions" \
            --prefix=/usr --enable-buildenv --enable-dbus --libdir=%_libdir \
            --enable-docs --docdir=%_docdir/%{name} --mandir=%_mandir --sysconfdir=%_sysconfdir \
            --libexecdir=/usr/lib
make

%install
make DESTDIR=%{buildroot} install
# install doku here, I do not want to pass any more params to make ...
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/powersave
# link needed because the daemon expects the files in /etc/powersave
ln -sf %{_sysconfdir}/sysconfig/powersave $RPM_BUILD_ROOT/%{_sysconfdir}/powersave
%find_lang power-management

%post
%{fillup_and_insserv -f -y powersaved}
### if we update from >= 0.10 to 0.15 then we have to convert the configfiles first and then run insserv
if [ -f /etc/sysconfig/powersave/common ]; then
	bash /usr/share/doc/packages/powersave/update_config_files_after_014.sh
fi
%{fillup_only -a -d -n scheme_acoustic powersave}
%{fillup_only -a -d -n scheme_performance powersave}
%{fillup_only -a -d -n scheme_powersave powersave}
%{fillup_only -a -d -n scheme_presentation powersave}
%{fillup_only -a -d -n scheme_advanced_powersave powersave}
%{fillup_only -a -d -n events powersave}
%{fillup_only -a -d -n thermal powersave}
%{fillup_only -a -d -n battery powersave}
%{fillup_only -a -d -n sleep powersave}
%{fillup_only -a -d -n cpufreq powersave}
%{fillup_only -a -d -n common powersave}
%{fillup_only -a -d -n disk powersave}
%run_ldconfig
############### THIS IS FOR UPDATE TO 0.9.13 or better ########################################
# set_disk_settings really does not make sense anymore in anything else than
# EVENT_DAEMON_SCHEME_CHANGE since this is now thrown at the apropriate places.
sed -i -e 's/\(EVENT_\(DAEMON_START\|ACADAPTER_.*\)=.*\)set_disk_settings *\(.*\)/\1\3/' /etc/sysconfig/powersave/events
sed -e 's/EVENT_OTHER="thinkpad_acpi_events ignore"/EVENT_OTHER="hotkey_handler"/g' -i /etc/sysconfig/powersave/events

%preun
%stop_on_removal powersaved

%postun
%restart_on_update powersaved
%run_ldconfig
%{insserv_cleanup}

%post libs
%run_ldconfig

%postun libs
%run_ldconfig

%files -f power-management.lang
%defattr(-,root,root)
%_sbindir/*
%_bindir/*
/usr/lib/powersave
%_mandir/*/*
%config /etc/init.d/powersaved
%config /etc/dbus-1/system.d/powersave.conf
/var/adm/fillup-templates/*
%_docdir/%name
# this is for acpid (empty config file to ignore ACPI event)
# so that powersaved and others can handle them properly
/etc/acpi
%_sysconfdir/powersave

%files devel
%defattr(-,root,root)
%_includedir/*
%_libdir/lib*.la
%_libdir/lib*.a
%_libdir/pkgconfig/*.pc

%files libs
%defattr(-,root,root)
%_libdir/lib*.so*
%changelog
* Tue Nov 20 2007 - hmacht@suse.de
- add powersave-fix-suspend-to-disk.patch:
  Suspend to Disk was not executed if Suspend to RAM is not available and
  no applet is running (novell bug 341605)
* Mon Sep 03 2007 - hmacht@suse.de
- fixed return types of GetBrightness() D-Bus call to HAL. Current
  HAL implementation returns INT32 instead of UINT32.
- r3069
* Thu Aug 16 2007 - hmacht@suse.de
- fixup new liblazy API usage
- r3035
* Thu Aug 16 2007 - hmacht@suse.de
- wait INT_MAX seconds for a Suspend/Hibernate call to return, and ignore
  timeout errors afterwards. We might be suspended longer...
- adjust to new liblazy API v0.2 which had to be updated due to
  PolicyKit update (novell bug 299733)
- remove ACPI_MODULES configuration variable because ACPI module
  autoloading has been integrated into the kernel
- r3035
* Tue Aug 07 2007 - hmacht@suse.de
- remove power-management.pot
- Don't hardcode path to lidswitch device in HAL. This would not
  work with machines which don't support ACPI (as e.g. MacBookPro)
- add option to query and set the CPUFreq governor
- check if /etc/powersave/sleep is still there on update
  (novell bug 286695)
- merge patches powersave-0.15.13-disable-thermal-polling.diff and
  powersave-dbus-send-path-fix.diff pack into package
- r3016
* Mon Jul 30 2007 - thoenig@suse.de
- add patch powersave-dbus-send-path-fix.diff: dbus-send is now
  located in /bin
* Thu Jun 21 2007 - adrian@suse.de
- fix changelog entry order
* Tue Jun 19 2007 - seife@suse.de
- do not enable thermal polling per default, as requested by intel.
* Thu Apr 19 2007 - hmacht@suse.de
- remove '-r/--calc-frequency' option from powersave command line
  client because it is outdated (novell bug 259305)
- remove hotkey handling for IBM thinkpads and in general. This
  should be handled by the desktop (novell bug 264692)
- r2941
* Tue Apr 03 2007 - hmacht@suse.de
- remove check for s2ram from initscript
- fix installation to expand $prefix at make time (patch by
  Michael Biebl)
- r2910
* Tue Mar 27 2007 - hmacht@suse.de
- wait for reply from HAL when setting CPUFreq policy with cmd line client
- remove disk settings, provided by pm-utils
- accpet CPUFreq conservative governor as dynamic scaling method
- remove all suspend related code and scripts, provided by pm-utils
- removed config_files:
  scheme_acoustic
  disk
  sleep
- update documentation
  bugzilla.novell.com bugs:
 - 213028 -- remove united-linux from initscripts
 - 225643 -- fix hotkey_handler to exit with 'EXIT', not 'exit'
 - 223986 -- remove deprecated config options for CPUFreq
 -           update documentation
 - 225654 -- Prerequire hal >= 0.5.8 for update scripts
 - 226397 -- use old method for scripts to return, don't wait for signals
 - 223722 -- add a workaround for perl-Bootloader "feature"
- r2905
* Fri Nov 24 2006 - hmacht@suse.de
- don't set CPUFreq if kpowersave or gnome-power-manager is
  running, this conflicts with the settings taken in the applet
  (novell bug #223620)
- r2717
* Thu Nov 23 2006 - hmacht@suse.de
- cmd line client: add function to send suspend request to HAL to
  make it possible to set the maximum possible timeout and ignore
  timeout errors (novell bug 223152)
- r2680
* Fri Nov 17 2006 - hmacht@suse.de
- mark suspend configuration options as deprecated
- update powersave cmd line client manpage
- set correct cpufreq policy when enabling/disabling CPUs
- r2684
* Mon Nov 06 2006 - hmacht@suse.de
- remove docking station handling for thinkpads, it's provided by
  dockutils
- r2632
* Thu Nov 02 2006 - hmacht@suse.de
- use shared D-Bus connection and fix D-Bus restart handling
- r2607
* Mon Oct 23 2006 - hmacht@suse.de
- unload modules with modprobe -r
- remove last HAL requirement which we don't need to build
- fix calculation for the multiple battery case
- remove on_ac_power which is provided by pm-utils
- r2591
* Fri Oct 13 2006 - hmacht@suse.de
- remove HAL dependency from powersave.pc so that other packages
  don't require HAL to build
- update manpages and online documentation
- r2553
* Mon Oct 09 2006 - hmacht@suse.de
- grab interface org.freedesktop.Policy.Power with low priority so
  that higher level applications can obtain it
- remember pid of started children (scripts) to track those
- fix calculation of image size
- only execute specific events if we have no desktop application
  caring about
- r2573
* Sat Oct 07 2006 - hmacht@suse.de
- remove com.novell.powersave.{action,request,manager,admin}
  interfaces
- fix userspace suspend (seife)
- remove powersave_dbus and powersave_hal both from the specfile
  and from related code. This is replaced by an external package
  liblazy now
- clean up remaining powerlib and remove functions which are now
  replaced by HAL informantion
- get information from HAL where possible instead of doing
  everything on our own
- remove functions to send D-Bus messages, adjust code to use
  liblazy
- beautify output of powersave -b/-B
- remove scheme_presentation which is useless for a system level
  daemon
- remove possibility to connect to the daemon for clients
- remove HAL dependency, it's not needed for building
- remove runtime device management support because it is broken
  in kernel and will change soon, and thus remove
  scheme_advanced_powersave
- fixed ENABLE_THERMAL_MANAGEMENT for kernel_passive (fseidel)
- run ldconfig after and before installing powersave-libs
  (novell bug 207918)
- remove hwinfo from dependency list and remove check for smp
  systems in specfile
- r2531
* Wed Sep 20 2006 - hmacht@suse.de
- remove DISABLE_USER_* variables, these are now handled by
  PolicyKit and add script to update the configuration
- r2459
* Tue Sep 19 2006 - hmacht@suse.de
- use userspace software suspend by default (seife)
- remove brightness related D-Bus methods
- remove some other obsolete D-Bus methods
- remove dependency to libsysfs and libcpufreq in configure.ac
* Tue Sep 12 2006 - hmacht@suse.de
- remove loading of cpufreq modules from rc script. This is now
  done by acpid because HAL depends on them
- powersaved now depends on HAL >= 0.5.8
- r2450
* Mon Sep 11 2006 - hmacht@suse.de
- add function to library to query a string list property from hal
- add more generic dbus functions
- use more standart logging format
- Fix wttyhx for distributions not calling the X server via a symlink
  called "X" but directly as Xorg or Xgl binary.
- remove old unused code
- powersave cmd line client:
    - use CPUFreq interface from HAL instead of the one from
  powersaved
    - use brightness interface from HAL instead of the one from
  powersaved
    - suspend via HAL instead of via powersaved
- powersaved:
    - remove CPUFreq code. Use HAL's CPUFreq addon instead
    - remove cpufrequtils dependency
    - remove vendor specific brightness code. Use the HAL interface
- remove architecture build check
- r2447
* Mon Aug 28 2006 - hmacht@suse.de
- libpower: fix primary batteries aren't found (fseidel)
* Wed Aug 09 2006 - fseidel@suse.de
- libpower: fixed minor memleaks (non valgrind-memcheck clean)
- libpower: minor speedups in often used functions
  (like e.g. battery.c:numBatteries()) mainly via preventing some
  expensive libhal calls
- code cleanups (e.g. normalisation of num_*_battery variables,
  use of class-initialisationlists etc.)
- fix writing of sampling_rates for ondemand governor outside
  min-max boundaries (novell bug 178314)
- enforce battery level limits
  (BATTERY_CRITICAL < BATTERY_LOW < BATTERY_WARNING)
- add missing /sbin and /usr/sbin to $PATH in thinkpad hotkey script
- fix wttyhx with Xgl
- fix boot kernel handling if vmlinuz-link in /boot points to an absolute
  path
- improved handling of non-primary batteries in powersave cmd line client
- remove (SUSPEND2DISK|SUSPEND2RAM|STANDBY)_DELAY, it is just a useless
  legacy feature.
- prevent segfault if CPUFreq is disabled in configuration file
- add warning about duplicate schemes, omitting .rpmsave and .rpmnew
  schemefiles
- r2396
* Thu Jun 29 2006 - hmacht@suse.de
  Merge changes from CODE10 branch:
- Fix ACPI_MODULES* in update script when updating from old
  versions (SLES9) (novell bug 185072)
- fix default battery limits in code which differed from those in
  the configuration file (novell bug 184018)
- fix last change: fix default value in config file documentation
- fix some typos and unneccessary characters in configuration file
  documentation (novell bugs 183704, 183706, 183705)
- let the CPU_HIGH_LIMIT value depend on the operational area.
  On servers (scheme_performance), attach importance to performance
  and thus switch up frequency sooner and more ofter. Use a more
  conservative policy on notebooks (scheme_powersave)
  (novell bug 176844)- r2331
- fix SUSPEND2DISK_IMAGE_SIZE setting, again, and add more
  debug output (novell bug 173467)
- keep CPUFreq settings over suspend cycle (novell bug 179147)
- set CPUFreq policy to performance immediately before suspend
  (workaround for novell bug 173471)
- write HOT and CRITICAL temperature events to syslog (related to
  novell bug 175831)
- fix up minor issues with previous fix (novell bug 178077)
- use standard INSTALL file in source tarball
- print consistent error messages if there are insufficient dbus
  rights to connect to the daemon (novell bug 178077)
- only check for timed out events if there are events actually
  running (novell bug 177347)
- shutdown from withing KDE with the power button did not work
  properly under certain circumstances (novell bug 142727)
- r2354
* Fri May 19 2006 - hmacht@suse.de
- upstream version 0.13.2. Major changes:
  o install scheme_advanced_powersave with runtime device power
  management
  o CPU hotplugging support and scheme integration
- r2248
* Mon May 08 2006 - hmacht@suse.de
- fix the SUSPEND2DISK_IMAGE_SIZE setting. No matter what you set
  there, it was never set in the kernel during suspend to disk
  (novell bug 173467)
- r2240
* Thu Apr 27 2006 - hmacht@suse.de
- add ndiswrapper to list of modules to unload/reload on suspend
  (novell bug 168658)
- r2238
* Tue Apr 25 2006 - hmacht@suse.de
- update translations
- enable bluetooth device on FnF5 hotkey (novell bug 128088)
- resume NetworkManager after failed suspend (novell bug 167217)
- r2235
* Thu Apr 13 2006 - hmacht@suse.de
- translation updates
- r2207
* Mon Apr 10 2006 - hmacht@suse.de
- don't close stdout, stdin and stderr for scripts. They are
  redirected to /dev/null in daemon mode anyway
- r2196
* Mon Apr 10 2006 - hmacht@suse.de
- start the daemon with startproc -e to strip some environment
  variables (novell bug 159548)
- install scheme_advanced_powersave only to $docdir, because
  runtime device power management is disabled anyway
* Fri Apr 07 2006 - hmacht@suse.de
- check if CPU is online before accessing its cpufreq interface
  below /sys/... (bug 163724)
- restore grub-once if suspend preparation failed before the actual
  suspend is done (bug 164425)
- r2178
* Wed Apr 05 2006 - hmacht@suse.de
- update translation files
* Wed Apr 05 2006 - hmacht@suse.de
- show graphical message if suspend to RAM works, but not with
  framebuffer
- update contribution script for asus hotkeys
- prevent segfault after reading out available frequencies
* Tue Mar 28 2006 - hmacht@suse.de
- reset cpufreq governor after resume (bug 161220)
- don't try to write up_threshold when switching schemes
- r2141
* Mon Mar 27 2006 - hmacht@suse.de
- add generic hotkey handler and remove config adjustments from
  init script
- add upsd and apcupsd to default services to stop and restart on
  suspend
- disable experimental feature runtime device power management
  completely
- r2129
* Wed Mar 22 2006 - hmacht@suse.de
- update translations
- use 'zenity --info' instead of 'zenity --warning' for GNOME
- r2107
* Tue Mar 21 2006 - hmacht@suse.de
- removed patch, dbus policy for upsd is now in package nut #159668
* Mon Mar 20 2006 - hmacht@suse.de
- add debugging option to query all connected clients
- adjust link in s2ram popup
- kick ACPI fans after resume because some have no suspend support
- r2098
* Fri Mar 17 2006 - hmacht@suse.de
- if suspend is done as root user, don't use su to do the xlock
  (bug 158773)
- open one DBus connection in library and reuse it (bug 157905)
- add script for use by other applications to use the powersaved's
  notification architecture (e.g. upsd)
- add patch to add DBus policy for user upsd
- increase timeout we wait for hal to 10 minutes on startup
- -r2079
* Mon Mar 13 2006 - hmacht@suse.de
- fix compilation errors when C library is included in cpp
  application
- add powersave-notify script to be used by other applications
  using the powersave message architecture
- inform user on suspend2ram if his machine is not in the whitelist
* Mon Mar 06 2006 - hmacht@suse.de
- integrate s2ram utility from
  http://sourceforge.net/projects/suspend that brings along a huge
  whitelist and the needed workarounds (vbetool, radeontool,
  acpi_sleep=) (seife) (closes novell bug 145294)
- bump version to go along with upstream version
- r1990
* Thu Mar 02 2006 - hmacht@suse.de
- remove check if suspend to disk is supported, this does not work
  for apm
- r1977
* Thu Mar 02 2006 - hmacht@suse.de
- integrate previous patch into package
- add support for suspend2, basically installing a script
- fix apm/acpi checks (Danny Kukawka)
- enhance check for resume partition (seife)
- don't suspend system if shutdown is in progress (seife) (closes
  novell bug 118823)
- inform clients if a battery was unplugged
- Add a dock handler for strange events issued by thinkpad X32
  (seife)
- add support for package config
- r1976
* Sun Feb 26 2006 - schwab@suse.de
- Fix error checking.
* Mon Feb 20 2006 - hmacht@suse.de
- add r8169 to default modules to un- and reload on suspend (Novell bug
  148399)
- don't load the cpufreq longhaul module (Novell bug 150318)
- remove unneeded script for setting display brightness
- add radeontool support to contrib scripts (not default)
- remove hotkey handling from daemon, we have scripts for that (related to
  Novell bug 150357)
* Fri Feb 17 2006 - hmacht@suse.de
- fix throttling (Novell Bug 151146)
- disable throttling on smp machines
- update Requires from powersave-devel package in specfile
* Mon Feb 13 2006 - hmacht@suse.de
- documentation updates
- translation updates
- remove cpufreq modules after probing (Novell bug 150381)
- unload ath_pci module before suspend (Novell bug 134586)
- add lynx to BuildRequires
* Thu Feb 09 2006 - hmacht@suse.de
- update thinkpad_hotkey script from Lenovo
- update translations
- rcpowersaved cleanup (seife)
- fix manpage
* Tue Feb 07 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 07 2006 - hmacht@suse.de
- adjust fix paths in documentation
- configure.ac cleanup
* Mon Feb 06 2006 - hmacht@suse.de
- remove config substitution for smp machines and userspace
  governor for now
- install extra scripts in package, not in specfile
- initscript cleanup
- add check for POWERSAVE=off on kernel cmdline to avoid starting
  of powersaved and thus loading of cpufreq modules
- remember which filesystems where remounted (novell bug #147584)
- adjust writing of image size from MB to bytes due to kernel
  interface change
- If suspend to disk fails because of missing swap space, try again
  with minimal image size
- only link daemon binary agains libcpufreq
* Tue Jan 31 2006 - hmacht@suse.de
- don't pollute syslog if no cpufreq support (#146608)
- wait for hal until daemon gets ready
- enable suspend to ram by default
- add possibility to provide extra swap partition only for suspend
- install contributed scripts in Makefiles and not in specfile
* Mon Jan 30 2006 - hmacht@suse.de
- fix thermal code (seife)
- install thinkpad hotkey script (#145771)
- fix remaining time/percent calculation for multiple batteries
  (#145959)
- add specfile for Fedora Core 4 to tarball
- cleanup and fix parementers given to the daemon on startup
- fix considering the nice factor for cpu frequency scaling
- update manpages
- add check for dbus pid
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - hmacht@suse.de
- added hotkey script for thinkpads
- add support for image size during suspend
- add init script for fedora core 4
- readd adjustments of harddisk settings
- cleanup scripts
* Tue Jan 17 2006 - hmacht@suse.de
- check whether a client already cares about brightness adjustments
- doxygen documentation updates
- add patch for variable speed step calculation from Benoît Monin
- clean up specfile
* Mon Jan 16 2006 - hmacht@suse.de
- integrate libcpufreq from cpufrequtils
- adjusted some debug messages
- add support for hotpluggable cpus
- fix configuration variables: Only disable suspend/standby for a user,
  not for root
- documentation updates
- readd laptop_mode support
* Mon Jan 09 2006 - hmacht@suse.de
- fix cpufreq governor fallback (bug #134607)
- load governor modules even if cpufreq driver is already there
  (bug #141956)
- remove reconnect to /dev/apm_bios
- adjust setBatteryAlarm function to hal
- get notified of Battery changes from hal --> disable polling
* Mon Dec 19 2005 - hmacht@suse.de
- better hal integration
- remove powersaved_script_return binary
- some external patches
- small fixes of user_binary
- removed some unneeded config variables
* Fri Dec 16 2005 - hmacht@suse.de
- fix local root exploit and possibly buffer overflow
- added new Powersave scheme AdvancedPowersave
- Documentation updates
- removed some DBus methods which are now provided through powerlib
- remove powersaved_script_return binary and add compatibility
  script
- install script in Makefiles and not in specfile
- fix segfault of powersave client
* Thu Dec 01 2005 - hmacht@suse.de
- make hal mandatory
- rename device powermanagement interface
- add small testsuite and debug kernel module
- smaller code cleanups
- add support for NetworkManager on suspend/resume
* Wed Nov 23 2005 - hmacht@suse.de
- make compiling without hal work again
- fix dualcore implementation as far as available
* Fri Nov 18 2005 - hmacht@suse.de
- do not install symlinks in %%post
- create symlink in initscript to make updates possible
  (will get removed in future)
* Thu Nov 17 2005 - hmacht@suse.de
- do not shut down if hal is not available
	--> try to connect again later (#134122)
* Fri Nov 11 2005 - hmacht@suse.de
- added runtime powermanagement
- documentation and code cleanups
* Tue Oct 25 2005 - hmacht@suse.de
- make package distribution independent (make all directories for
  scripts or configs configurable)
- a lot of code/documentation cleanups
* Wed Oct 12 2005 - hmacht@suse.de
- split package into powersave, powersave-libs and powersave-devel
  packages. KDE needs the libs but no powersave daemon.
- documentation/code cleanups
* Tue Oct 11 2005 - hmacht@suse.de
- fix debugging of library
- libpowersave_dbus was not linkable without libpowersave
* Mon Oct 10 2005 - hmacht@suse.de
- fixed compiler warnings/errors for new gcc
- glib integration with main loop and dbus-bindings
- code/documentation cleanups
* Wed Sep 14 2005 - ro@suse.de
- simplify if cascade in current postinstall
* Wed Sep 14 2005 - trenn@suse.de
- use userspace governor for all SMP kernels
- use hwinfo --smp for that
* Tue Sep 13 2005 - aj@suse.de
- Use hwinfo so that postinstall works even with UP kernel.
* Tue Sep 13 2005 - aj@suse.de
- Fix condition in postinstall script.
* Tue Sep 13 2005 - trenn@suse.de
- enable userspace cpufreq governor on AMD processors per default
  This is due pending ondemand governor bugs and AMD (mostly SMP)
  machines (#103786)
- fix APM suspend (#106897)
* Mon Sep 12 2005 - seife@suse.de
- fix resume-kernel selection problem on ppc (bug 116510)
* Mon Sep 12 2005 - hmacht@suse.de
- close dbus connection on error in library (bug 116465)
- documentation updates
- removed resmgr dependency in specfile
* Thu Sep 08 2005 - seife@suse.de
- fix segfault if HAL has problems determining AC adapter state
  (bug #115813)
* Wed Sep 07 2005 - hmacht@suse.de
- never access /proc/acpi/event directly through rc script
  (bug 115407)
- make use of dbus_uint16_t data types for ppc compatibility
  (bug 105447)
- lock the screen and do ugly xmessage on notifications if no
  client is connected
- add handling of hotkey event from ibm_acpi module which absorbs
  regular sleep button event (bug 115127)
* Mon Sep 05 2005 - hmacht@suse.de
- restart "ial" per default (works around novell bug 80358)
- removed empty library libpowersave_clientsocket.so
- fix dbus implementation if receiving message without reply
  (daemon tried to sent reply infinitely)
- always start powersaved service, even if APM and ACPI is not
  supported. Useful on ppc workstations where we still provide
  suspend to disk feature
- increased library version
- fixed problem on calculating remaining battery time on some
  systems where battery present rate is not available
* Fri Sep 02 2005 - hmacht@suse.de
- fixed bugs: #113615, #114616, #100221, #114073
- documentation updates
* Wed Aug 31 2005 - seife@suse.de
- implemented LCD brightness setting on supported models
- this is version 0.10.10 which is also published on *forge
* Tue Aug 30 2005 - ro@suse.de
- remove script headers from sysconfig templates
- make sure all sysc-templates have line-endings
* Mon Aug 29 2005 - hmacht@suse.de
- fixed bugs #113145, #102960, #104341
- fixed library for clients to recover correctly after dbus restart
  (no bugreport)
- documentation updates
* Fri Aug 26 2005 - trenn@suse.de
- added colon after Default in sysconfig files for proper
  Yast processing(#105301)
- install .html and .txt documentation (#100490)
- corrected thermal management config variable
- correctly recover if DBus is stopped/restarted
* Thu Aug 11 2005 - seife@suse.de
- removed libpowersave_daemon / libpowersave_clientsocket and
  associated socket-handling code, including resmgr dependency
- fixed a bug where acpi events in quick succession got ignored
  when reading from acpid
- cleaned up logmessages (shorter, more compact)
- code cleanup, fixed compiler warnings
* Fri Aug 05 2005 - seife@suse.de
- use HAL for battery reading
- finish DBUS conversion
- code cleanup
- tone down some warning / error messages
- no longer start acpid implicitly, acpid must be running before
  powersaved
* Mon Jul 25 2005 - seife@suse.de
- fix build of wmpowersave and kpowersave
- fix "CONSIDER_NICE" for ondemand governor case
- fix syntax error in prepare_suspend2disk
* Sat Jul 23 2005 - seife@suse.de
- most default config values are now really default
- build portability fixes
- documentation update
- fix missing messages in popups
- fix ondemand governor support for kernels > 2.6.11
* Tue Jul 19 2005 - coolo@suse.de
- fix library dependencies
* Tue Jul 19 2005 - seife@suse.de
- long library timeouts fixed
- more dbus integration
- powersaved segfault with mixed socket/dbus clients fixed
* Fri Jul 15 2005 - seife@suse.de
- lots of DBUS enhancements / fixes
- compile with --enable-dbus
* Mon Jul 11 2005 - seife@suse.de
- fix userspace governor
* Fri Jul 08 2005 - seife@suse.de
- default values are compiled in now
* Wed Jul 06 2005 - seife@suse.de
- improved ondemand governor support, now it actually works.
* Mon Jul 04 2005 - seife@suse.de
- update to version 0.10.0. Visible changes:
  dropped POWERSAVE_/POWERSAVED_-prefix from config variables
* Wed Jun 01 2005 - uli@suse.de
- fixed to build on non-Intelish archs
* Thu Apr 14 2005 - ro@suse.de
- ar directories are in filesystem package now
* Wed Mar 23 2005 - seife@suse.de
- add winmodem drivers to "modules to unload" (bug #74292)
* Sun Mar 20 2005 - seife@suse.de
- documentation update regarding custom scripts and updates
- documentation update regarding suspend to RAM
* Sat Mar 19 2005 - seife@suse.de
- fix wm_logout, wm_shutdown (forgotten file include)
- documentation update, mention vbetool for suspend2ram
- improve the suspend-progressbar (no time consuming stuff outside)
* Thu Mar 17 2005 - seife@suse.de
- add infrastructure for a progress indicator before suspend while
  still in userspace (before entering the text console in kernel).
- fix two filedescriptor leaks.
* Tue Mar 15 2005 - seife@suse.de
- additional syncs before grub-once (bug #72823)
- documentation update
* Mon Mar 14 2005 - trenn@suse.de
- ignore SIGPIPE and fixed bug in receiving scheme (#65554)
- DBG_ERR -> DBG_DIAG for all connection problems
  to not pollute syslog through constant access trys from clients
  That means you must at least enable DIAG for debugging resmgr
  problems
* Mon Mar 14 2005 - seife@suse.de
- fix "powersave --version" output
* Sat Mar 12 2005 - seife@suse.de
- simplify event-ID handling for scripts that use script_return.
- fix user interface handling in unmount_fatfs, make unmount_fatfs
  configurable for suspend2disk/ram/standby.
- degraded an error message to diag, since it always triggers.
- adjusted some of the default configuration parameters
- reordered config file - common entries are at the beginning now.
- documentation update
* Fri Mar 11 2005 - schwab@suse.de
- Fix last change.
* Thu Mar 10 2005 - seife@suse.de
- switch from \n-terminated strings to \0 terminated strings,
  simplify some code on the way.
- fix return of unitialized memory.
* Thu Mar 10 2005 - seife@suse.de
- different supend to disk codepath fixed
- configuration file updates
- fix a potential segfault on illegal script_return messages
* Wed Mar 09 2005 - seife@suse.de
- fixed error in kernel-detection before suspend to disk
* Tue Mar 08 2005 - seife@suse.de
- another cpufreq re-initialization fix
* Mon Mar 07 2005 - seife@suse.de
- fixed cpufreq initalization, notify functions, compiler warnings
- fixed the daemon.scheme.change events
- fixed the main select loop => cpufreq is responsive again
- throw a event on startup, if the battery is already in one of
  the "warning" states (not BAT_NORMAL)
- documentation update
- prepare bootloader during supend to disk to ensure the kernel
  that suspended gets loaded again immediately during resume
- fixes in suspend scripts for confusions in suspend state machine
- helptext typo in powersave binary
* Fri Mar 04 2005 - seife@suse.de
- removed unused variables / code
- throw "daemon.scheme.change" event at every scheme change, not
  only if requested by a client. This should finally work.
* Thu Mar 03 2005 - seife@suse.de
- add slmodemd to services to restart (bug #65101)
- fix cpufreq bug when rereading frequencies (ac off/online)
- send battery.info event to clients to obsolete polling
- documentation update
- removed display / screensaver settings. These are now handled by
  clients like kpowersave
* Wed Mar 02 2005 - trenn@suse.de
- add battery.info event to inform clients about any battery
  changes (percent, remainin mins, rem charging mins,
  charging state)
- fixed rereadCPUFreq steps -> get old frequency if the steps
  have not changed
* Mon Feb 28 2005 - seife@suse.de
- reduced event timeout, better handling of suspend events.
- fixed screenlock on suspend (bug #66849)
- events work again via acpid as a proxy (bug #66649)
- more consistent logging and debugging messages.
- fixed "ignore button event during/after suspend" (finally).
- clean up the xmessage and screensaver stuff, prepare for client-
  side handling of this.
* Tue Feb 22 2005 - seife@suse.de
- fix resume from suspend2ram or standby
* Mon Feb 21 2005 - trenn@suse.de
- little fix for client notification (by hmacht@suse.de)
* Mon Feb 21 2005 - trenn@suse.de
- initialise current_speed (#61650)
- move allocation of arguments of execv into child process (#61650)
- button not disabled after at resume time fixed by hmacht@suse.de
- add/fixed some scripts by seife@suse.de
* Fri Feb 18 2005 - schwab@suse.de
- Don't fall through after exec.
* Fri Feb 18 2005 - trenn@suse.de
- forgot to port reread_cpufreq_capabilities from 9.2 in event.cpp
- thow away empty ACPI events (#51022)
- forgot debug/error message -> is now info message
* Mon Feb 14 2005 - trenn@suse.de
- add screensaver events (by hmacht@suse.de)
- clean up duplicated code that alread is in library
  (by hmacht@suse.de)
- always turn on suspend to disk
- set disk settings fixed (missing fi)
- integrated diff
* Mon Jan 31 2005 - coolo@suse.de
- fix lib64 build
* Sat Jan 29 2005 - coolo@suse.de
- clean up the file list a bit and avoid having config.h in
  installed headers
* Wed Jan 26 2005 - seife@suse.de
- latest version from cvs HEAD, including:
- several clientsocket fixes and improvements,
- segfault fixes and various build fixes contributed by coolo@suse.de,
- unmounting of FAT-ish partitions before suspend,
- better handling of harddisk-powersaving (check capabilities of
  the disk before issuing commands).
- lots of other stuff
* Fri Jan 21 2005 - trenn@suse.de
- calculate remaining time of battery on capacity usage statistics
  if present rate is not available (#49537)
- calculate remaining time until battery is fully charged again,
  based on present rate and or usage statistics if first is n.a.
- added restart_on_update and stop_on_removal macros in .spec file
  again (#49404)
- enhanced client notifier protocol. Clients that register at the
  daemon can now receive powersave events as well as messages
  that the client should forward (generally graphical) to the user
  (by hmacht@suse.de)
- added autoconf/autobuild features (by hmacht@suse.de)
* Tue Dec 21 2004 - trenn@suse.de
- added translations of scheme name and description that are
  used by kpowersave and Yast2 power-management module
* Wed Nov 17 2004 - trenn@suse.de
- fixed -debug autobuild issues
  allow APM machines to use swsusp from Pavel Machek
* Fri Oct 29 2004 - trenn@suse.de
- client notifier for daemon and lib interface for clients
  by Holger (hmacht@suse.de)
- consider nice works again
- enable buttons
- various cleanups
* Mon Oct 18 2004 - trenn@suse.de
- rename config.h and config.cpp to config_pm.*
  (-> because of autoconf)
- rename define RESMGR to HAVE_LIBRESMGR (-> because of autoconf)
- fixed -DRESMGR (now HAVE_LIBRESMGR) to compile without libresmgr
* Wed Oct 06 2004 - trenn@suse.de
- use -s /bin/bash when using su
  enables suspend/notify for non bash users (tcsh, csh, ... was
  broken)
* Tue Oct 05 2004 - trenn@suse.de
- also check AC state when battery polling is forced (#46846)
- little docu update (mention Carl Thompson and cpufreq maillist)
* Fri Oct 01 2004 - trenn@suse.de
- new READMEs
- aic7xxx and ath_pci module added to list of modules that need to
  unloaded before suspend (#46037)
- override user settings for list of modules that need to be
  unloaded before suspend/standby (provide user settings as comment)
* Wed Sep 29 2004 - seife@suse.de
- fix segfault on SIGHUP/exit in thermal zone code
  fix non-functional screensaver code in rare circumstances
  allow simple xlock_screensaver even in KDE if configured
  add a script to repair configuration after failed update
* Mon Sep 27 2004 - seife@suse.de
- updated contrib directory, documentation update
  daemon: removed debug logmessage (#45834), added debug_events
  script, better notify if module unloading fails, better screen-
  saver handling, do not touch hdparm settings per default (#45529)
  multiple cosmetic fixes (#46044, #46174)
* Tue Sep 21 2004 - trenn@suse.de
- zombie problem fixed (#45702)
  proper use of stl map, no pointers to objects anymore (#45624)
  some cosmetics from seife@suse.de concerning scripts
* Mon Sep 20 2004 - trenn@suse.de
- lock screen after suspend (#45250)
  load acpi modules properly when running with acpid (#45472)
  nicer notifies (use kde and gnome windows if possible)
  deleted powersave_proxy -> not needed anymore
* Tue Sep 14 2004 - trenn@suse.de
- wrong reporting of cpufreq mode
  suspend-to-ram fix
* Tue Sep 14 2004 - trenn@suse.de
- ACPI suspend2ram does suspend2disk typo fixed (#44844)
  (was not checked in last time)
  let powersaved run in parallel with acpid
* Mon Sep 13 2004 - trenn@suse.de
- APM suspend/standby fixed (#44672)
  ACPI suspend2ram does suspend2disk typo fixed (#44844)
  socket fds not closed if user got no rights by resmgr (#45114)
  some cosmetics
* Mon Sep 06 2004 - trenn@suse.de
- invoke script to trigger acpi suspend/standby
  fix config files for sysconfig editor
  discard events on resume again
* Tue Aug 31 2004 - trenn@suse.de
- little bug in prepare_suspend_to_ram that prevented a proper
  suspend to ram (Could not set device xx into sleep mode error -5)
* Fri Aug 27 2004 - trenn@suse.de
- enhanced configuration -all variables can be overridden/specified
  in scheme conf files
- added screen_saver (#44387)
- assume AC online if power source cannot be detected (#44314)
* Thu Aug 26 2004 - trenn@suse.de
- fd leak fixed (#44270)
- allow user to override active thermal trip point
* Fri Aug 20 2004 - trenn@suse.de
- suspend2disk by default enabled
- socket connection to acpid-> powersaved as client
- only ignore button events after suspend2disk/suspend2ram
- increase cpufreq to max before suspend2disk
- evaluate supported sleeping states
- close fds of subprocesses
* Mon Aug 16 2004 - seife@suse.de
- cleanups in smp-cpufreq, event handling. Fix ac scheme detection
  bug. Fix filedescriptor leaks. Manpage enhancements.
  Various suspend script fixes.
* Wed Aug 11 2004 - trenn@suse.de
- added cpufreq SMP support
  several bugfixes: (memory freeing, bad if/else on scheme change)
  from seife@suse.de: scripts enhanced
* Mon Aug 09 2004 - trenn@suse.de
- People who installed Version (STABLE) 0.8.0 have to:
  rpm -e powersave; rm /etc/sysconifg/powersave -r
  The config error will not be corrected through scripts as this
  affects only a beta Version.
  set defines in powersavelib.h compatible to old interface
  added new POWERSAVE_ALWAYS_THROTTLE scheme variable
  make powersave.c C std compatible
* Fri Aug 06 2004 - trenn@suse.de
- splitted shell script powersave_proxy into separate scripts
  in /usr/lib/powersave/scripts
  changed naming of suspend/standby into
  suspend-to-disk(ACPI S4/APM suspend)
  suspend-to-ram (ACPI S3/APM suspend)
  standby        (ACPI S1/APM standby)
  enabled thermal management:
  cooling_mode support alternatively (if not supported) the
  trip points temperature limits can be overridden for each
  scheme config
  splitted configuration files
  (/etc/powersave.conf,/etc/sysconfig/powersave/common)
  into cpufreq, sleep, thermal, common, battery, events all located
  in /etc/sysconfig/powersave/ which now fits to syseditor order
* Tue Jun 29 2004 - trenn@suse.de
- changed a lot for SUSE 9.2:
  splitted files and funcs for better overview
  schemes can now be switched by hand
  better socket communication
  and a lot of other little things
* Wed Jun 02 2004 - trenn@suse.de
- do not adjust hw clock after suspend (fixed in kernel)
  do use /proc/sys/vm/swapiness (#41505)
* Fri May 14 2004 - trenn@suse.de
- do not show -1 minutes on powersave -b/B (#40495)
- cleaned up powersave.cpp/h
- cpufreq: hysteresis, consider_nice and jump to highest freq
  on sudden heavy CPU load
- throttling support for multiple CPUs
- moved frequency workaround after suspend from proxy to daemon
  (#40496)
- Only throw battery events when coming to lower battery states
  (#40500)
- extended configs to influence the dynamic cpufreq algorithm:
  hysteresis, consider_nice and jump to highest cpufreq on sudden
  CPU load values can be configured in powersave.conf for now
- powersave binary multiple options
- Version (0.7.3)
* Wed May 05 2004 - trenn@suse.de
- corrected charging state for multiple batteries
  remove ieee1394 of unloaded modules for standby/suspend
  add autofs to service that needs to be restarted for standby/suspend
  add sub-version (0.7.1)
* Fri Apr 23 2004 - trenn@suse.de
- syntax correction in powersave_proxy (actually done by seife@suse.de)
* Fri Apr 23 2004 - trenn@suse.de
- add acpi module to list of cpufreq modules that are tested to be load
  -> necessary to support Pentium M (dothan) and probably others, as well
* Fri Apr 23 2004 - seife@suse.de
- proxy: after suspend/standby, start hotplug before reloading
  modules, this fixes network after resume (bug #39241)
- on_ac_power: restore old behaviour (bug #39234)
* Wed Apr 21 2004 - seife@suse.de
- detect removal of batteries, fix "no battery" detection
- fix FD leak in fan.c
- fix socket handling, timeouts were ignored after socket
  operation (client asking for battery)
- fix client hanging if no resmgr session active
- fix "on_ac_power -q" (Bug #39234)
- fix sighup-handling (not all values were updated correct)
- proxy: warn, if AGP modules are loaded (Bug #38112)
  check, if more than one swap partition (Bug #38565)
  more debug messages at module unloading.
* Fri Apr 16 2004 - trenn@suse.de
- added delay variable for power button actions
  to avoid triggering action before machine is switched off
  by holding power button for some seconds (#38578)
* Tue Apr 06 2004 - seife@suse.de
- fix startup with no running resmgr session (#38514)
- fix useless polling on apm machines without battery
- unload ipw2100 before suspend / standby (#38537)
* Mon Apr 05 2004 - seife@suse.de
- remove p4-clockmod module, revert to dynamic cpufreq even on
  performance scheme. (#37553)
- fix init script to "skip" instead of "fail" if acpid or cpufreqd
  are running. (#38113)
* Mon Apr 05 2004 - coolo@suse.de
- fixing getsockopt usage
* Mon Apr 05 2004 - seife@suse.de
- update README.suspend, LIESMICH.suspend
- more conservative setting for dynamic cpu speed setting
- longer timeout (10sec) before throttling, lower throttling (50%%)
* Sun Apr 04 2004 - adrian@suse.de
- make socket file sticky
- do only permit access for usual users in "easy local" security
  mode.
- no access for users without resmgr session at all by default.
* Sat Apr 03 2004 - adrian@suse.de
- update to version 0.7
  (kkaempf, aj, coolo and adrian we-work-for-lots-of-wine edition)
  * Security audit
  * Fixed memory leaks
  * Fixed fd leaks
  * Fix access to random memory
  * Fixed wrong function calls
  * add resmgr support to powersaved
  * add soname to libpowersave
  * do not create powersave group anymore
  * clean up spec file
* Fri Apr 02 2004 - uli@suse.de
- try to load longrun (Transmeta) and longhaul (Via) scaling
  drivers as well
* Fri Apr 02 2004 - seife@suse.de
- on AC, cpu now always runs on highest speed (bug #37753), to
  avoid workstations appearing slow although they aren't.
- include memory info in swsusp.log                      pl7
* Thu Apr 01 2004 - seife@suse.de
- add "-n" option to the daemon to disable cpufrequency scaling and
  appropriate code to the init script (better fix for 36680).
- powersave now system group                             pl6
* Wed Mar 31 2004 - seife@suse.de
- Fixed "Default:" fields for yast2 powersave module in config file
  rcpowersaved: add possibility to skip module loading (bug 37525)
  powersaved: fix "no battery" system (workstations).    pl5
* Mon Mar 29 2004 - seife@suse.de
- README: typo fixes, new README.suspend
  standard config more conservative, better comments.
  powersaved: fix battery charging status client request
  powersave: fix error messages                          pl4
* Fri Mar 26 2004 - seife@suse.de
- proxy: recursive module unloading, if unloading modules fails,
  suspend will be canceled. A logfile with the loaded modules
  before suspend is written. User feedback on failed suspend
  is greatly improved (bug 36868). Additional configurable
  hdparm parameters. No longer unload usbcore and hid, pl1
  powersaved: fix compiler warnings, minor code cleanup, changed
  getColonValue function in powerlib. pl2
  general: less experimental default settings, suspend disabled,
  battery low now warns instead of suspending.
* Tue Mar 23 2004 - seife@suse.de
- re-add contrib-directory which got lost in cvs.
  From now on, submit only proper diffs to autobuild.
* Mon Mar 22 2004 - seife@suse.de
- rcpowersave sets polling frequency for thermal zones and checks
  for number of CPUs. SMP is not supported yet.
  proxy fixes for:
  * locking multiple X-Servers (bug #36704)
  * KDE screensaver (bug #36698)
* Mon Mar 22 2004 - seife@suse.de
- fix typo in proxy script that prevented remounting of filesystem.
  removed bogus warning in syslog for throttle()
* Mon Mar 22 2004 - seife@suse.de
- added laptop_mode to powersaved_proxy. Additional config file for
  harddisk parameters. Throttling skipped on APM machines. Complete
  rewrite of the hdparm calling part of proxy (faster, expert
  configurable).
* Wed Mar 17 2004 - seife@suse.de
- better screensaver handling in powersave_proxy
  fix p4-clockmod module name typo in rcpowersaved
* Mon Mar 15 2004 - seife@suse.de
- fix bugs in event handling, rcpowersave -> rcpowersaved
  proxy: disable bootloader handling, fix notify via xmessage,
  many X related minor fixes.
  dethrottle when back on AC power
  wttyhx: adapt to new "w"
  cleaned up excess logging with low debug levels.
* Mon Mar 08 2004 - trenn@suse.de
- cpufreq, new adjustance of cpufreq method
  small fixes in proxy
  signal handling cleaned up
* Fri Mar 05 2004 - trenn@suse.de
- disk power management in powersave_proxy enhanced
- (using APM and standby timout and 2.6 laptop patch now)
- modified scheme descriptions
* Wed Mar 03 2004 - trenn@suse.de
- add %%restart_on_update and %%stop_on_removal in .spec file
- group powersave added by spec and not make install
* Mon Mar 01 2004 - trenn@suse.de
- reject suspend/standby if proxy returns unequal 0
- request whether standby/suspend is enabled/disabled by admin
- powersave -r only if compiled on x86_64 or i686
* Thu Feb 26 2004 - trenn@suse.de
- fixed critical bug in init script
- wm_shutdown shuts down even no window manager is running
* Wed Feb 25 2004 - trenn@suse.de
- change gz to bz2 archive
* Tue Feb 24 2004 - trenn@suse.de
- add wttyhx
* Mon Feb 23 2004 - trenn@suse.de
- changed ERR to INFO messages to work properly on workstations
  no polling if no battery and cpufreq is found
  apm remaining time in seconds supported now
  admin can disable suspend/standby
* Mon Feb 16 2004 - trenn@suse.de
- little battery caculation bug found ...
- added some FAQs
* Fri Feb 13 2004 - trenn@suse.de
- forgot to change config variable to new sysconfig directory
* Thu Feb 12 2004 - trenn@suse.de
- fix of exit after supsend
  and bettery battery (mins) output
* Wed Feb 11 2004 - trenn@suse.de
- hopefully last sys editor and sysconfig changes
- runtime check for tsc register instead of compile time check
  to calculate CPU speed
* Tue Feb 10 2004 - trenn@suse.de
- fixed bug, when resuming from apm suspend
- library now only returns minutes, no hours any more(rem battery)
- changed /etc/sysconfig directory from powermanage to powersave
- optimised sysconf descriptions
- file /etc/sysconfig/../powersave merged into /etc/powersave.conf
* Mon Feb 02 2004 - trenn@suse.de
- modified spec and Makefile to recognise RPM CFLAGS + C++FLAGS
- added addtional query possibilities (remPerc, remHours/Mins, charging state)
  for client(in regard to the GUI front-end)
- libraries are now compiled with CC !
- include files for libraries are now installed in /usr/include
- made powersave -b layout nicer (replaced numbers through strings)
* Wed Jan 28 2004 - trenn@suse.de
- forgot to create new tarball...
* Wed Jan 28 2004 - trenn@suse.de
- fixed critical bug concerning config file parsing
* Tue Jan 27 2004 - seife@suse.de
- workaround for awaking after suspend
  powersave_proxy -> diverse cleanups
* Mon Jan 26 2004 - trenn@suse.de
- add #include that prevented compilation on some machines
  added possibility to also forward the ACPI event line(/proc/acpi/event)
  through config file(/etc/powersave.conf)
  added a "&" for background starting of xmessage in powersave_proxy
  corrected some sentences in README
* Fri Jan 23 2004 - trenn@suse.de
- fixed spec file: some sysconfig and %%_lib stuff
  added an additional POWERSAVED_DYNAMIC_CPU_LOW_LIMIT variable
  for better control of processor.dynamic.low events.
  Before CPU frequency and throttling could build each other up and
  result in and endless setting-unsetting at specific constant CPU usage
  better check of string to int parsing
  no errno checking in all code anymore
* Thu Jan 22 2004 - trenn@suse.de
- deleted a lot of debug statements in library
  made string to int (strtol) better(check for errors)
  do not check for errno anymore!
* Tue Jan 20 2004 - trenn@suse.de
- fixed bug that is related to fix before, (no ac offline event)
  small bugs in rcpowersave (parameter for cpufreq module, lsmod grep
  replaced by grep /proc/modules)
  .spec file build compatible now
* Wed Jan 14 2004 - trenn@suse.de
- fixed bugs to send SIGHUP for reloading configs
  re-read battery, AC state after standby/suspend
  deleted some ! for nicer output and shell parsing
  now services can be set that need restart after
  suspend/standby
  added variable to enforce battery polling for machines wiht broken
  acpi events
  fixed some bugs in parameter parsing in powersaved
* Mon Jan 12 2004 - trenn@suse.de
- wait for proxy before suspend/standby.
  add -d parameter for powersaved to daemonize process
  changed name of group pm_group to powersave and automatically add
  group through rpm spec file
* Thu Jan 08 2004 - trenn@suse.de
- throw battery warning,low or critical event at startup
* Thu Jan 08 2004 - trenn@suse.de
- use cc to compile library instead of g++ -> reduction of library size
  (not done yet, could not integrate cc compiled libraries into g++ compilations)
  -> need to do some research, at least it compiles using cc
- corrected paths to /sbin/rchotplug and /sbin/rcpcmcia in proxy
- implemented debug priority scheme into proxy
- implemented workaround for sleep/power button events happening twice
  in acpi.cpp in the daemon.
  Time slice for two button events(sleep/power) happening in a row set to 1 second
- added workaround for waiting some seconds before sleep to give proxy time
  to load/unload modules
  ->this is not a good solution will be handled in another way later ...
* Fri Dec 19 2003 - trenn@suse.de
- add new output flag: debug
- removed unnecessary function in acpi.cpp
- clean /proc/acpi/event before start and after suspend/standby
* Wed Dec 17 2003 - trenn@suse.de
- Last few changes:
  added additional processor.* events
  fixed powersave -s bug
  fixed multiple batteries but not all present bugs
  ToDo:
  set time after suspend/standby properly
  mangage proxy invokations through several process
  or e.g. suspend is triggered before suspend event is executed
  and to avoid unforseen race conditions
  how to do user management if not by pm_group?
  evaluate current X users? -> resource manager,
  but it is not working yet
  standby timeout (if implemented in kernel)
  research and implement keymapping (xmodmap, loadkeys?) for implementing
  ignore suspend, standby,... for presentations
  testing cpufreq on 2.4.x kernels (->should be broken)
  throw out debug statements in library to reduce binary size
  compile library with cc instead of g++
